<?php
// $Id: comment_edited_admin.inc,v 1.1.2.5 2010/09/11 19:00:17 snufkin Exp $
/**
 * @file
 * Admin page callbacks and functionality for Comment Edited module
 */

/**
 * Add functionality to rewrite the last comment message
 */
function comment_edited_admin_page() {
  $form = array();
  $default = comment_edited_default_message();
  $form['comment_edited_timestamp_override'] = array(
    '#type' => 'checkbox',
    '#title' => t('Override default comment timetamp with the creation time of the comment.'),
    '#default_value' => variable_get('comment_edited_timestamp_override', 0),
    '#description' => t('By default the time displayed on comments is the time of the most recent update. This option overrides it and uses the creation time of the comment. Note, that comments submitted before this module was enabled will be affected only after their first update, and that time will be used.'),
  );

  $form['comment_edited_use_template'] = array(
    '#type' => 'checkbox',
    '#title' => t('Use a template variable'),
    '#default_value' => variable_get('comment_edited_use_template', 0),
    '#description' => t('When displaying the comment use a template variable instead of appending the message to the comment body (default).'),
  );

  $form['comment_edited_own_edit_regular'] = array(
    '#type' => 'checkbox',
    '#title' => t('Editing own comment is regular edit'),
    '#description' => t('When a user with the make hidden edit permission edits his or her own comments instead of a hidden edit it will become a normal edit.'),
    '#default_value' => variable_get('comment_edited_own_edit_regular', 0),
  );

  $form['messages'] = array(
    '#type' => 'fieldset',
    '#title' => t('Edited message settings'),
  );
  $form['messages']['comment_edited_display'] = array(
    '#type' => 'select',
    '#default_value' => variable_get('comment_edited_display', 0),
    '#title' => t('Display of edit messages'),
    '#options' => array(
      t('Show only the standard edit'),
      t('Show both hidden edit and standard edit'),
    ),
    '#description' => t('Moderators (anyone with the "make hidden edit" permission) can edit comments,
    and their changes will only be shown to users with "view hidden edit" permission. With this setting you can
    control which of these messages should be displayed (note: users still need the permission to view it).'),
  );

  $form['messages']['comment_edited_template'] = array(
    '#type' => 'textarea',
    '#default_value' => variable_get('comment_edited_template', $default),
    '#title' => t('Default message'),
    '#description' => t('This message will be used to display below comments.'),
  );

  $form['messages']['comment_edited_moderated_template'] = array(
    '#type' => 'textarea',
    '#default_value' => variable_get('comment_edited_moderated_template', $default),
    '#title' => t('Default moderation message'),
    '#description' => t('This message will be used to display moderation notices below comments (visible for users with view hidden edit only).'),
  );

  return system_settings_form($form);
}
